#ifndef INCLUDED_snow_types_AudioFormatType
#define INCLUDED_snow_types_AudioFormatType

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS2(snow,types,AudioFormatType)
namespace snow{
namespace types{


class AudioFormatType_obj : public hx::EnumBase_obj
{
	typedef hx::EnumBase_obj super;
		typedef AudioFormatType_obj OBJ_;

	public:
		AudioFormatType_obj() {};
		HX_DO_ENUM_RTTI;
		static void __boot();
		static void __register();
		::String GetEnumName( ) const { return HX_CSTRING("snow.types.AudioFormatType"); }
		::String __ToString() const { return HX_CSTRING("AudioFormatType.") + tag; }

		static ::snow::types::AudioFormatType ogg;
		static inline ::snow::types::AudioFormatType ogg_dyn() { return ogg; }
		static ::snow::types::AudioFormatType pcm;
		static inline ::snow::types::AudioFormatType pcm_dyn() { return pcm; }
		static ::snow::types::AudioFormatType unknown;
		static inline ::snow::types::AudioFormatType unknown_dyn() { return unknown; }
		static ::snow::types::AudioFormatType wav;
		static inline ::snow::types::AudioFormatType wav_dyn() { return wav; }
};

} // end namespace snow
} // end namespace types

#endif /* INCLUDED_snow_types_AudioFormatType */ 
